Subject: bug#15886: 24.3.50; Incorrect window-text-height with non-zero line-spacing

From: Robert Dallas Gray <[email-masked]>
Date: Wed, 13 Nov 2013 21:27:35 +0000

On 13 Nov 2013, at 21:16, Eli Zaretskii <[email-masked]> wrote:

>> From: Robert Dallas Gray <[email-masked]>
>> Date: Wed, 13 Nov 2013 20:55:20 +0000
>> Cc: [email-masked]
>> 
>> Well, it's not my library, but the reason it fails (in my setup, where I have line-spacing set to 2), is that it tries to set the height of the minibuffer using 'set-window-text-height' -- which, in my setup, sets the height incorrectly (the bottom of the minibuffer is obscured). I note that 'set-window-text-height' uses 'window-text-height' 
> 
> The argument passed to 'set-window-text-height' should be scaled by
> the ratio of the values returned by 'frame-char-height' and
> 'default-line-height'.  (By default, this ratio is 1, but in your case
> it will be different.)  The result of scaling should then be rounded
> up to the nearest integer.
> 

OK, but that doesn't really achieve the aim of setting the height of the window *exactly* in terms of the height of an individual line of text ... in the case I'm describing, where the number of lines displayed is changing dynamically, the baseline is going to bounce around because the window isn't being sized accurately.